package com.takensoft.ai_lms.lms.eval_problem.service;

import com.takensoft.ai_lms.lms.eval_problem.vo.EvalProblemVO;

/**
 * @author 권지수
 * @since 2024.07.29
 *
 * 단원 평가 문제 Service 클래스
 */
public interface EvalProblemService {

    /**
     * @author 권지수
     * @since 2024.07.29
     *
     * 단원 평가 문제 정보 입력
     */
    int insertEvalProblem(EvalProblemVO evalProblemVO) throws Exception;

    /**
     * @author 권지수
     * @since 2024.07.30
     *
     * 특정 단원의 문제 수 조회
     */
    int unitProblemNum(EvalProblemVO evalProblemVO) throws Exception;
}
